package com.flyfish.framework.configuration.annotations;

import java.lang.annotation.*;

/**
 * 附带校验的请求体
 * 天然支持条件校验
 * @author wangyu
 */
@Target(ElementType.PARAMETER)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ValidRequestBody {

    boolean required() default true;
}
