package com.flyfish.framework.service;


import com.flyfish.framework.domain.po.User;
import reactor.core.publisher.Mono;

import java.util.Optional;

/**
 * 用户查找service
 * @author wangyu
 */
public interface UserFindService {

    /**
     * 通过用户名查找
     * @param username 用户名
     * @return 结果
     */
    Mono<User> findByUsername(String username);
}
