package com.flyfish.framework.approval.domain.record;

import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import lombok.Getter;
import lombok.Setter;

/**
 * 审批记录查询实体
 *
 * @author wangyu
 */
@Getter
@Setter
public class ApproveRecordQo extends NameLikeQo<ApproveRecord> {

    // 所属模块
    private String module;

    // 所属数据id
    private String dataId;

    // 是否审批
    private Boolean approved;

    // 审批人
    private String approver;

    @Override
    public CriteriaBuilder<ApproveRecord> criteriaBuilder() {
        return super.criteriaBuilder().with("module", "dataId", "approved", "approver");
    }
}
