package com.flyfish.framework.domain.authorized;

import java.util.Set;

/**
 * 支持授权的用户详情
 *
 * @author wangyu
 */
public interface AuthorizedUserDetails {

    /**
     * 获取授权codes
     *
     * @return 结果
     */
    Set<String> getAuthorityCodes();

    /**
     * 获取可见部门
     *
     * @return 结果
     */
    Set<String> getVisibleDeparts();
}
